# module ActionController::Caching::Actions::ClassMethods

### Public Instance Methods

caches_action(*actions) click to toggle source

Declares that `actions` should be cached. See ActionController::Caching::Actions for details.

    # File lib/action_controller/caching/actions.rb, line 93
    def caches_action(*actions)
      return unless cache_configured?
      options = actions.extract_options!
      options[:layout] = true unless options.key?(:layout)
      filter_options = options.extract!(:if, :unless).merge(:only => actions)
      cache_options  = options.extract!(:layout, :cache_path).merge(:store_options => options)

      around_filter ActionCacheFilter.new(cache_options), filter_options
    end